Skip to content

/api/v1/auth/signup

POST
/api/v1/auth/signup
curl --request POST \
--url https://example.com/api/v1/auth/signup \
--header 'Content-Type: application/json' \
--data '{ "companyName": "example", "firstName": "example", "lastName": "example", "email": "example", "password": "example", "confirmPassword": "example", "countryCode": "example", "planId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'
object
companyName
string
firstName
string
lastName
string
email
string
password
string
confirmPassword
string
countryCode
string
nullable
planId
string format: uuid
nullable

Example generated

{
"companyName": "example",
"firstName": "example",
"lastName": "example",
"email": "example",
"password": "example",
"confirmPassword": "example",
"countryCode": "example",
"planId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}

Created

object
tenantId
string format: uuid
tenantSlug
string
companyName
string
userEmail
string
apiKey
string
apiKeyPrefix
string
loginUrl
string

Bad Request

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Unprocessable Entity

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable